/*
 * AnyVal.scala
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package scala

/**
 * Class AnyVal is the root class of all value types.
 * AnyVal has a fixed number subclasses, which describe values which are not 
 * implemented as objects in the underlying host system.
 *
 * Classes Double, Float, Long, Int, Char, Short, and Byte are together called 
 * numeric value types. Classes Byte, Short, or Char are called subrange types. 
 * Subrange types, as well as Int and Long are called integer types, whereas 
 * Float and Double are called floating point types.  
 */

sealed final class AnyVal extends Any {    
    
}
